### Method

# Gdk.Clipboard.read_texture_async

#### Declaration [src]

    void
    gdk_clipboard_read_texture_async (
      GdkClipboard* clipboard,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously request the `clipboard` contents converted to a `GdkPixbuf`.

When the operation is finished `callback` will be called. You must then call `gdk_clipboard_read_texture_finish()` to get the result.

This is a simple wrapper around `gdk_clipboard_read_value_async()`. Use that function or [methos@Gdk.Clipboard.read_async] directly if you need more control over the operation.

#### Parameters

`cancellable` | `GCancellable*`
| optional `GCancellable` object, `NULL` to ignore.
| Can be `NULL`
| Ownership is not transferred to the callee
`callback` | `GAsyncReadyCallback`
| callback to call when the request is satisfied
`user_data` | `gpointer`
| the data to pass to callback function